%define mainver %(echo $(echo %{version} | awk -F '.' '{print $1"."$2}'))

Summary:        A graphical toolkit for Tcl
Name:           tk
Version:        8.6.13
Release:        4%{?dist}
License:        TCL
URL:            https://www.tcl.tk/software/tcltk/
Source0:        https://prdownloads.sourceforge.net/tcl/tk%{version}-src.tar.gz
Patch3000:      tk-8.6.12-make.patch
Patch3001:      tk-8.6.12-conf.patch
Patch3002:      tk-8.6.10-font-sizes-fix.patch

BuildRequires:  make, gcc, autoconf
BuildRequires:  tcl-devel
BuildRequires:  libX11-devel, libXft-devel
Requires:       tcl = %{version}
Provides:       tile = 0.8.2

%description
Tk is a graphical toolkit for Tcl. It allows you to develop graphical
applications that run on Windows, Linux, MacOS X and many other platforms. And
not just from Tcl - Tk can be used from many languages including C, Ruby, Perl,
Python and Lua.

%package devel
Summary:  Tk graphical toolkit development files
Requires: %{name} = %{version}-%{release}
Requires: tcl-devel = %{version}
Requires: libX11-devel libXft-devel

%description devel
Tk is a graphical toolkit for Tcl. It allows you to develop graphical
applications that run on Windows, Linux, MacOS X and many other platforms. And
not just from Tcl - Tk can be used from many languages including C, Ruby, Perl,
Python and Lua.

The package contains the development files and man pages for tk.



%prep
%autosetup -p1 -n %{name}%{version}



%build
cd unix
autoconf
%configure --enable-threads
%make_build CFLAGS="%{optflags}"



%check



%install
make install -C unix INSTALL_ROOT=%{buildroot} TK_LIBRARY=%{_datadir}/tk%{mainver}

ln -s wish%{mainver} %{buildroot}%{_bindir}/wish
ln -s libtk%{mainver}.so %{buildroot}%{_libdir}/libtk.so

mkdir -p %{buildroot}/%{_includedir}/tk-private/{generic/ttk,unix}
find generic unix -name "*.h" -exec cp -p '{}' %{buildroot}/%{_includedir}/tk-private/'{}' ';'
( cd %{buildroot}/%{_includedir}
  for i in *.h ; do
    [ -f %{buildroot}/%{_includedir}/tk-private/generic/$i ] && ln -sf ../../$i %{buildroot}/%{_includedir}/tk-private/generic ;
  done
)

# remove buildroot traces
sed -i -e "s|$PWD/unix|%{_libdir}|; s|$PWD|%{_includedir}/tk-private|" %{buildroot}/%{_libdir}/tkConfig.sh

%pre
[ ! -h %{_prefix}/%{_lib}/tk%{mainver} ] || rm %{_prefix}/%{_lib}/tk%{mainver}

%post -p /sbin/ldconfig

%postun -p /sbin/ldconfig



%files
%license license.terms
%doc README.md changes
%{_bindir}/wish*
%{_libdir}/libtk%{mainver}.so
%{_libdir}/tk%{mainver}
%{_datadir}/tk%{mainver}
%exclude %{_datadir}/tk%{mainver}/tkAppInit.c
%{_mandir}/man1/*
%{_mandir}/mann/*

%files devel
%{_includedir}/*
%{_libdir}/libtk.so
%{_libdir}/libtkstub%{mainver}.a
%{_libdir}/tkConfig.sh
%{_libdir}/pkgconfig/tk.pc
%{_datadir}/tk%{mainver}/tkAppInit.c
%{_mandir}/man3/*



%changelog
* Fri Aug 16 2024 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 8.6.13-4
- Rebuilt for loongarch release

* Fri Sep 08 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 8.6.13-3
- Rebuilt for OpenCloudOS Stream 23.09

* Thu Aug 17 2023 kianli@tencent.com - 8.6.13-2
- Rebuilt for libXft 2.3.8

* Thu Aug 03 2023 cunshunxia <cunshunxia@tencent.com> - 8.6.13-1
- upgrade to 8.6.13

* Fri Apr 28 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 8.6.12-3
- Rebuilt for OpenCloudOS Stream 23.05

* Fri Mar 31 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 8.6.12-2
- Rebuilt for OpenCloudOS Stream 23

* Mon Jul 25 2022 Zhao Zhen <jeremiazhao@tencent.com> - 8.6.12-1
- Initial building
